<?php
/***************************************************************************
			   موديول معرض الصور لمجلة البوابة العربية
			   برمجة عبقري العرب || موقع دار الاوائل
			www.arabiaone.org (arabgenius@hotmail.com)
***************************************************************************/

if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/gallery/config.php");
include("modules/gallery/functions.php");

$member_group = $apt->cookie['cgroup'];
$allow_me = in_array($member_group,$allow_edit);
if(!$allow_me){
$apt->errmsg("عفوا ... لا يسمح لك بالدخول الى صفحة تعديل الصور");
}else{

$index_middle = $apt->table_cat_module("<a href=mod.php?mod=$mod_name>&nbsp;$mod_title</a>");

$imgid 	= $apt->setid('imgid');
$cat	 	= $apt->setid('cat');
$action 	= $apt->post['action'];

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_header', $modid,$mod_theme ) . "\";");

if(!$action){
$index_middle .= "<form method='POST' action=mod.php?mod=gallery&modfile=waitedit&cat=$cat&imgid=$imgid>
  <b><span lang='ar-om'>&nbsp;اختر العملية التي تريدها :<br>
  <p align=right>
  <input type='radio' value='update' name='action'> تحديث معلومات الصورة<br>
  <input type='radio' value='replace' name='action'> تحديث / استبدال الصورة الأصلية<br>
  <input type='radio' value='thumb' name='action'> تحديث الصورة المصغرة للصورة</span></b></p>
  <p align='center'><input type='submit' value='مــوافــق' name='B1'></p></p>
</form>";
}elseif($action=='replace'){
$index_middle .= "
<SCRIPT language=JavaScript>
        function checkForm() {
                formErrors = false;
                if (document.uploader.cfile.value.length < 5) {
                        formErrors = 'عفوا ... انت لم تقم بتحديد صوره ليتم اضافتها/استبدالها للمعرض';
                }
                if (formErrors) {
                        alert(formErrors);
                        return false;
                }
        }
</SCRIPT>
<b> الحجم المسموح به للملفات هو $size_limit  كيلوبايت<br>الامتدادات المسموح بها هي :<br>gif, jpg, png</b>

<form name='uploader' onsubmit='return checkForm(this)' method='POST' enctype='multipart/form-data' action='mod.php?mod=gallery&modfile=waitedit&cat=$cat&imgid=$imgid'>
  <table border='0' cellpadding='0' cellspacing='0' style='border-collapse: collapse' bordercolor='#111111' width='100%' id='AutoNumber1'>
    <tr>
      <td width='23%'><b>&nbsp;اخـتـر الصورة :</b></td>
      <td width='77%'><input type='file' name='cfile' size='45'></td>
    </tr>
    <tr>
      <td width='23%'>&nbsp;<input type=hidden name=action value='replaceit'></td>
      <td width='77%'>&nbsp;<input type='submit' value='إرسال' name='submit'></td>
    </tr>
  </table>
  <p></p>
</form>";

}elseif($action=='replaceit'){
$allow_ext = array('.gif','.png','.jpg');
$allow_types = array('image/jpeg', 'image/jpg', 'image/pjpeg', 'image/png', 'image/x-png', 'image/gif');
$file 	= $apt->files["cfile"]["tmp_name"];
$realname 	= $apt->files["cfile"]["name"];
$type 	= $apt->files["cfile"]["type"];
$size 	= $apt->files["cfile"]["size"];
$ext  	= strrchr($realname,'.');
$size = $size / 1024;
$ext  = strtolower($ext);
$uploaded = time().$ext;
$allow_e = in_array($ext,$allow_ext);
$allow_t = in_array($type,$allow_types);
if(!$allow_e){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا الامتداد من الملفات");
}elseif(!$allow_t){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا النوع من الملفات");
}elseif($size > $size_limit){
$apt->errmsg("عفوا ... الملف الذي تحاول رفعه اكبر من الحجم المسموح به<br>الحجم المسموح به هو $size_limit كيلوبايت");
}elseif(is_file("modules/gallery/photos/$uploaded")){
$apt->errmsg("عفوا ... قد تم رفع هذه الصوره من قبل او ان الصوره تحمل اسم صوره موجوده مسبقا");
}else{
	if(@is_uploaded_file($file)){
	$do = @move_uploaded_file($file,"modules/gallery/photos/$uploaded");}
if($do){
$thefile = "modules/gallery/photos/$uploaded";
if($type=='image/gif'){
$image = ImageCreateFromGIF($thefile);
}elseif(($type=='image/png')||($type=='image/x-png')){
$image = ImageCreateFromPNG($thefile);
}else{
$image = ImageCreateFromJPEG($thefile);
}
$width = imagesx($image) ;
$height = imagesy($image) ;

$new_width = $thumb_width; 
$new_height = ($new_width * $height) / $width ;

if (function_exists('ImagecreateTrueColor'))
{
$thumb = ImageCreateTrueColor($new_width,$new_height);
ImageCopyResampled($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
else
{
$thumb = ImageCreate($new_width,$new_height);
ImageCopyResized($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
ImageJPEG($thumb, 'modules/gallery/thumb/'.$uploaded);
imagedestroy($image);
$i++;
}
}

$result = $apt->query("SELECT * FROM rafia_gallery_image where imgid='$imgid'");
$row = $apt->dbarray($result);
$oldimglink = $row[imglink];

$updateit = $apt->query("Update rafia_gallery_image set imglink='$uploaded' where imgid='$imgid'");
if($updateit){
@unlink("modules/gallery/photos/$oldimglink");
@unlink("modules/gallery/thumb/$oldimglink");
}
$url = "mod.php?mod=gallery&modfile=wait";
$apt->bodymsg("تم استبدال الصوره بنجاح<br>انتظر قليلا ليتم نقلك الى المشاركه",$url);

}elseif($action=='thumb'){
$result = $apt->query("SELECT * FROM rafia_gallery_image where imgid='$imgid'");
if($apt->dbnumrows($result)== 0)
{
$apt->errmsg("عفوا ... الصورة التي تبحث عنها غير موجوده او تم حذفها");
}
$row = $apt->dbarray($result);
@extract($row);
@unlink("modules/gallery/thumb/$imglink");
$thefile = "modules/gallery/photos/$imglink";
$ext  = strrchr($imglink,'.');
$ext  = strtolower($ext);
if($ext=='.gif'){
$image = @ImageCreateFromGIF($thefile);
}elseif($ext=='.png'){
$image = @ImageCreateFromPNG($thefile);
}else{
$image = @ImageCreateFromJPEG($thefile);
}
$width = @imagesx($image) ;
$height = @imagesy($image) ;

$new_width = $thumb_width; 
$new_height = @intval(($new_width * $height) / $width);

if (function_exists('ImagecreateTrueColor'))
{
$thumb = @ImageCreateTrueColor($new_width,$new_height);
@ImageCopyResampled($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
else
{
$thumb = ImageCreate($new_width,$new_height);
ImageCopyResized($thumb,$image,0,0,0,0,$new_width,$new_height,$width,$height);
}
@ImageJPEG($thumb, 'modules/gallery/thumb/'.$imglink);
@imagedestroy($image);

$url = "mod.php?mod=gallery&modfile=wait";
$apt->bodymsg("تم تحديث الصورة المصغره بنجاح<br>انتظر قليلا ليتم نقلك الى المشاركه",$url);

}elseif($action=='update'){
$index_middle .= "<b>تعديل الصورة</b>";
$result = $apt->query("SELECT * FROM rafia_gallery_image where imgid='$imgid'");
if($apt->dbnumrows($result)== 0)
{
$apt->errmsg("عفوا ... الصورة التي تبحث عنها غير موجوده او تم حذفها");
}
$row = $apt->dbarray($result);
@extract($row);

$index_middle .= "
<form method='POST' enctype='multipart/form-data' action=mod.php?mod=gallery&modfile=waitedit&cat=$cat&imgid=$imgid>
  <table border='0' cellpadding='0' cellspacing='0' style='border-collapse: collapse' width='100%'>
    <tr>
      <td width='25%'>&nbsp;<b>عنوان الصورة :</b></td>
      <td width='75%'><input type='text' name='imgtitle' size='45' value='$imgtitle'></td>
    </tr>
    <tr>
      <td width='25%'>&nbsp;<b>وصف الصورة :</b></td>
      <td width='75%'><textarea rows='3' name='imgdesc' cols='55'>$imgdesc</textarea></td>
    </tr>
    <tr>
      <td width='25%' valign=top>&nbsp;<b>مكان الصورة :</b></td>
      <td width='75%'><select size=1 name=newcat>";
  
$resultc = $apt->query("SELECT * FROM rafia_gallery_cat where gid = $cat");
$rowc=$apt->dbarray($resultc);
$index_middle .= "<option value=$rowc[gid]>$rowc[gtitle]</option>";

$resultcc = $apt->query("SELECT * FROM rafia_gallery_cat where gid != $cat");
while($rowcc=$apt->dbarray($resultcc))
{
$index_middle .= "<option value=$rowcc[gid]>$rowcc[gtitle]</option>";
}

$index_middle .= "</select></br></td>
    </tr>
    <tr>
      <td width='100%' colspan='2'>
      <p align='center'>
	<input type='hidden' name='action' value='doupdate'>
	<input type='hidden' name='oldcat' value='$cat'>
	<input type='submit' value='  تعديل  ' name='submit'></td>
    </tr>
  </table>
</form>";
}elseif($action=='doupdate'){
$imgtitle 	= $apt->post['imgtitle'];
$imgdesc 	= $apt->post['imgdesc'];
$oldcat 	= $apt->post['oldcat'];
$newcat 	= $apt->post['newcat'];

$apt->query("Update rafia_gallery_image set imgtitle='$imgtitle', imgdesc='$imgdesc', imgcat='$newcat' where imgid='$imgid'");
$apt->query("Update rafia_gallery_cat set gcount=gcount+1 where gid='$newcat'");
$apt->query("Update rafia_gallery_cat set gcount=gcount-1 where gid='$oldcat'");

$url = "mod.php?mod=gallery&modfile=wait";
$apt->bodymsg("تم تحديث معلومات الصورة بنجاح<br>انتظر قليلا ليتم نقلك الى المشاركه",$url);
}
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_footer', $modid,$mod_theme ) . "\";");

}
echo $index_middle;
?>